# Получение списка методов

## Получение списка методов

<mark style="color:green;">`POST`</mark> `https://api.crystalpay.io/v3/method/list/`

**Body**

<table><thead><tr><th>Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>auth_login</code><mark style="color:red;">*</mark></td><td>string</td><td>Логин кассы</td></tr><tr><td><code>auth_secret</code><mark style="color:red;">*</mark></td><td>string</td><td>Секретный ключ кассы</td></tr><tr><td><code>compact</code></td><td>bool</td><td>Отображение только основной информации</td></tr></tbody></table>

<mark style="color:red;">\*</mark> *- обязательные поля*

**Response**

{% tabs %}
{% tab title="JSON" %}

```json
{
    "error": false,
    "errors": [],
    "items": {
        "BITCOIN": {
            "name": "Bitcoin",
            "currency": "BTC",
            "amount_accuracy": 8,
            "minimal_status_level": 0,
            "in": {
                "enabled": true,
                "extra_commissions": {
                    "amount": "0",
                    "percent": "10"
                },
                "limits": {
                    "min": "0",
                    "max": "0"
                },
                "commissions": {
                    "amount": "0.000004",
                    "percent": "0"
                },
                "fee": "0"
            },
            "out": {
                "enabled": true,
                "limits": {
                    "min": "0.00005",
                    "max": "0.5"
                },
                "commissions": {
                    "amount": "0",
                    "percent": "1"
                },
                "fee": "0"
            }
        },
        ...
    }
}
```

{% endtab %}

{% tab title="Описание полей (items)" %}

<table><thead><tr><th>Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>{ключ элемента}</code></td><td>string</td><td>Внутреннее название метода - method</td></tr><tr><td><code>name</code></td><td>string</td><td>Отображаемое имя метода</td></tr><tr><td><code>currency</code></td><td>string</td><td>Валюта метода</td></tr><tr><td><code>amount_accuracy</code></td><td>number</td><td>Точность суммы, количество знаков после запятой</td></tr><tr><td><code>minimal_status_level</code></td><td>string</td><td>Минимальный уровень статуса кассы для работы метода оплаты</td></tr><tr><td><code>in</code></td><td>array</td><td>Информация о настройках для входящий платежей - Invoice</td></tr><tr><td><code>out</code></td><td>array</td><td>Информация о настройках для исходящих платежей - Payoff</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.crystalpay.io/metody-api/method-metody/poluchenie-spiska-metodov.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
